print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local apfelHudFile = "Paletten/hud_fill_apfel.dds"
	local apfelHudFileSmall = "Paletten/hud_fill_apfel_small.dds"
	
    local apfelFilType = g_fillTypeManager:addFillType("APFEL", g_i18n:getText("apfel"), true, pricebeer * 0.9, 0.00045, math.rad(10), apfelHudFile, apfelHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasapfel=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasapfel=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "APFEL" then
		hasapfel=true
	end;
		
end;

		if hasmaize and not hasapfel then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("APFEL")
		local price = g_fillTypeManager:getFillTypeByName("APFEL").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("APFEL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)